Package de.gebit.integrity.formatting

## Class DSLFormatter.TableTestFormatterTokenStream

- java.lang.Object
- - de.gebit.integrity.formatting.DSLFormatter.TableTestFormatterTokenStream

- All Implemented Interfaces:
    `org.eclipse.xtext.parsetree.reconstr.ITokenStream`
  Enclosing class:
    DSLFormatter

      public class DSLFormatter.TableTestFormatterTokenStream
      extends Object
      implements org.eclipse.xtext.parsetree.reconstr.ITokenStream

  This token stream is basically a filter that sits between the streams, catches tables and formats them before they're forwarded.
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TableTestFormatterTokenStream​(org.eclipse.xtext.parsetree.reconstr.ITokenStream anOut)` | Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `flush()` |
    `void` | `writeHidden​(org.eclipse.emf.ecore.EObject aGrammarElement, String aValue)` |
    `void` | `writeSemantic​(org.eclipse.emf.ecore.EObject aGrammarElement, String aValue)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableTestFormatterTokenStream

          public TableTestFormatterTokenStream​(org.eclipse.xtext.parsetree.reconstr.ITokenStream anOut)

      Creates a new instance.
      Parameters:
        `anOut` - the target stream

  - ### Method Detail

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `org.eclipse.xtext.parsetree.reconstr.ITokenStream`
      Throws:
        `IOException`

    - #### writeHidden

          public void writeHidden​(org.eclipse.emf.ecore.EObject aGrammarElement,
                                  String aValue)
                           throws IOException

      Specified by:
        `writeHidden` in interface `org.eclipse.xtext.parsetree.reconstr.ITokenStream`
      Throws:
        `IOException`

    - #### writeSemantic

          public void writeSemantic​(org.eclipse.emf.ecore.EObject aGrammarElement,
                                    String aValue)
                             throws IOException

      Specified by:
        `writeSemantic` in interface `org.eclipse.xtext.parsetree.reconstr.ITokenStream`
      Throws:
        `IOException`